Summary:	LDAP Account Manager
Name:		ldap-account-manager
Version:	2.4.0
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://lam.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/lam/%{name}-%{version}.tar.gz
Source1:	%{name}-1.0.2-configure.bz2
Requires(pre):	rpm-helper >= 0.16
Requires(postun): rpm-helper >= 0.16
# WARNING: lam > 1.3.0 will require PHP5
Requires:	apache-mod_php
Requires:	openldap
Requires:	php-ldap
Requires:	php-xml
Requires:	perl-Math-BigInt-GMP
BuildRequires:	rpm-helper >= 0.16
BuildRequires:	file
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
LDAP Account Manager makes it possible to manage various account
types (Unix, Samba, and Kolab) in an OpenLDAP server. It also
features an external script for managing quotas and home
directories.

%prep

%setup -q
bzcat %{SOURCE1} > configure
sed -i-1.0.2 -e '/1\.0\.2/ s/1\.0\.2/2.0.3/g' configure

%build

%configure2_5x \
    --prefix=/var/www/%{name} \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --localstatedir=/var/lib/%{name} \
    --with-httpd-user=apache \
    --with-httpd-group=apache \
    --with-perl=%{_bindir}/perl

%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -d -m 755 %{buildroot}%{_webappconfdir}


ln -snf %{_sysconfdir}/shells %{buildroot}%{_sysconfdir}/%{name}/shells

mv %{buildroot}%{_sysconfdir}/%{name}/config.cfg_sample %{buildroot}%{_sysconfdir}/%{name}/config.cfg
cp %{buildroot}%{_sysconfdir}/%{name}/lam.conf_sample %{buildroot}%{_sysconfdir}/%{name}/lam.conf


cat > %{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>

    Order deny,allow
    Deny from all
    Allow from 127.0.0.1

    Options +FollowSymLinks

    <FilesMatch "\.(inc|cfg|conf)$">
        Order deny,allow
        Deny from all
    </FilesMatch>

</Directory>

<Directory /var/www/%{name}/lib>

    Order allow,deny
    Deny from all

    <FilesMatch "fpdf.php">
        Order allow,deny
        Allow from all
    </FilesMatch>

</Directory>

<Directory /var/www/%{name}/sess>

    Order allow,deny
    Deny from all

</Directory>

<Directory /var/www/%{name}/tmp>

    Options -Indexes

</Directory>

EOF

install -m0644 %{name}.conf %{buildroot}%{_webappconfdir}/%{name}.conf

# fix docs
rm -rf %{buildroot}/var/www/%{name}/docs
ln -s %{_docdir}/%{name}-%{version} %{buildroot}/var/www/%{name}/docs

# nuke .htaccess files
find %{buildroot} -type f -name "\.htaccess"|xargs rm -f

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING HISTORY INSTALL README VERSION copyright docs/*
%attr(0644,root,root) %config(noreplace) %{_webappconfdir}/%{name}.conf
%attr(0775,root,apache) %dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/pdf/logos
%attr(0775,root,apache) %dir %{_sysconfdir}/%{name}/pdf
%attr(0775,root,apache) %dir %{_sysconfdir}/%{name}/profiles
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.cfg
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/lam.conf
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/lam.conf_sample
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/passwordMailTemplate.txt
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/selfService/default.user
%attr(0644,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/language
# XXX - this is a symlink to /etc/shells, what's the point?
%attr(0644,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/shells
%attr(0644,root,root) %{_sysconfdir}/%{name}/pdf/*.xml
%attr(0644,root,root) %{_sysconfdir}/%{name}/pdf/logos/*.jpg
%attr(0640,apache,apache) %{_sysconfdir}/%{name}/profiles/default.group
%attr(0640,apache,apache) %{_sysconfdir}/%{name}/profiles/default.host
%attr(0640,apache,apache) %{_sysconfdir}/%{name}/profiles/default.mailAlias
%attr(0640,apache,apache) %{_sysconfdir}/%{name}/profiles/default.smbDomain
%attr(0640,apache,apache) %{_sysconfdir}/%{name}/profiles/default.user
%attr(0640,apache,apache) %{_sysconfdir}/%{name}/profiles/default.dhcp
/var/www/%{name}
%attr(0755,apache,apache) %dir /var/lib/%{name}/tmp
%attr(0755,apache,apache) %dir /var/lib/%{name}/sess


%changelog
* Mon Oct 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.0-3mdv2010.0
+ Revision: 454242
- fix dependencies
- don't duplicate spec-helper job

* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.4.0-2mdv2010.0
+ Revision: 438299
- rebuild

* Thu Oct 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.0-1mdv2009.1
+ Revision: 294290
- 2.4.0

* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-1mdv2009.0
+ Revision: 239059
- 2.3.0

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 32247
- updated to version 1.3.0
- fixed many permissions so that web configuration works now
- php-mhash is required by this version


* Fri Jul 07 2006 Scott Karns <scottk@mandriva.org> 1.0.3-1mdv2007.0
- 1.0.3 (Security fixes)
- Use webapp macros

* Wed May 24 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdk
- 1.0.2 (Minor feature enhancements)

* Thu Apr 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- 1.0.1
- relocate it to /var/www/ldap-account-manager

* Thu Oct 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdk
- initial Mandriva package (dag import)

